Subject: Re: [PATCH 0 of 2] implement tty driver for netconsole

From: Matt Mackall <[email-masked]>
Date: Thu, 27 Nov 2008 17:09:45 -0600

On Thu, 2008-11-27 at 15:11 -0600, Hollis Blanchard wrote:
> I have a Kuro Box (a small NAS device running Linux), and it has no serial
> console (nor any other console for that matter). The most convenient way to get
> boot output is via the netconsole driver, which is what most Kuro owners do. (The u-boot
> firmware even supports interactive netconsole allowing us to edit boot configuration.)
> 
> However, once past kernel boot, userspace currently has no way of outputting data over
> netconsole. These patches enable that, which is really useful for seeing init
> script output and debugging ramdisks before they've brought up sshd.

Awesome! I've been meaning to wire this up for ages. I'll try to look at
it over the weekend.

-- 
Mathematics is the supreme nostalgia of our time.